<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Ersatzkarte | QR Code</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/css/flag-icon.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css">
</head>
<style>
    @page {
        size: A4;
        margin: 0;
        padding: 0;
    }

    html, body {
        size: A4;
        width: 210mm;
        height: 297mm;
        margin: 0;
        padding: 0;

        -webkit-print-color-adjust: exact;

        font-family: 'Helvetica', 'Arial', sans-serif;
    }

    body {
        /* 297mm - 2 * 15mm */
        height: 267mm;
        padding: 15mm 0;
    }


    .container {
        width: 100%;
        -moz-box-sizing: border-box;
        box-sizing: border-box;

        /* 2 * 1mm */
        padding: 0 1mm 0 2mm;
        margin: 0 auto;
    }

    .row {
        margin: 0 -1mm;
    }

    .row:after {
        content: '';
        display: table;
        clear: both;
    }

    .row [class^='col'] {
        position: relative;
        min-height: 1mm;
        padding: 0 1mm;
        float: left;
    }


    .col-6 {
        width: 50%;
        /* 2 * 1mm */
        padding-left: 2mm;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
    }

    .col-12 {
        width: 100%;
        /* 2 * 1mm */
        padding-left: 2mm;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
    }


    .mt-0 {
        margin-top: 0 !important;
    }

    .ml-0 {
        margin-left: 0 !important;
    }

    .mr-0 {
        margin-right: 0 !important;
    }

    .mb-0 {
        margin-bottom: 0 !important;
    }


    .mt-1 {
        margin-top: 1mm !important;
    }

    .ml-1 {
        margin-left: 1mm !important;
    }

    .mr-1 {
        margin-right: 1mm !important;
    }

    .mb-1 {
        margin-bottom: 1mm !important;
    }


    .mt-2 {
        margin-top: 2mm !important;
    }

    .ml-2 {
        margin-left: 2mm !important;
    }

    .mr-2 {
        margin-right: 2mm !important;
    }

    .mb-2 {
        margin-bottom: 2mm !important;
    }


    .container-text-ellipsis {
        display: block;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    .card-container {
        display: table;
        margin: 0 auto;
    }

    .card {
        display: inline-block;
        width: 55mm;
        height: 85mm;
        margin: 5mm 2mm 0;

        border: 0.5mm solid black;
        -webkit-border-radius: 5mm;
        -moz-border-radius: 5mm;
        border-radius: 5mm;
    }


    .card > .header-container {
        text-align: center;
        /* 15mm - 1mm */
        height: 14mm;
        margin: 1mm 4mm 0;
    }

    .card > .header-container h1 {
        font-size: 5mm;
        color: #11324f;
        margin: 0;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .card > .header-container h1:not(:first-of-type) {
        font-weight: normal;
    }


    .card > .facts-container {
        position: relative;
        /* 55mm - 2 * 2mm */
        height: 51mm;
        padding: 2mm 0;
        background-color: #ebeef3;
    }

    .card > .facts-container .fact {
        font-size: 3mm;
        text-align: center;
    }

    .card > .facts-container .fact div {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .card > .facts-container .fact > .title {
        font-weight: bold;
    }

    .card > .facts-container .qr-code-center-container {
        margin-top: 3mm;

        display: table;
        margin-left: auto;
        margin-right: auto;
    }

    .card > .facts-container .qr-code-center-container > .qr-code-container {
        display: inline-block;
        /* 25mm - 3mm - 2 * 3mm */
        height: 16mm;
        padding: 3mm;
        background-color: white;

        border: 0.5mm solid black;
        -webkit-border-radius: 1mm;
        -moz-border-radius: 1mm;
        border-radius: 1mm;
    }

    .card > .facts-container .qr-code-center-container > .qr-code-container > .qr-code {
        max-width: 100%;
        max-height: 100%;
    }

    .card > .facts-container > .card-number-container {
        position: absolute;
        left: 1mm;
        bottom: 0;
        /* 55mm - 2 * 1mm */
        max-width: 53mm;

        font-size: 3mm;
        color: #343a40;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    .card > .footer-container {
        text-align: center;
        /* 15mm - 2 * 3mm */
        height: 9mm;
        margin: 3mm;
    }

    .card > .footer-container > .logo {
        max-width: 100%;
        max-height: 100%;
    }


    .license-plate {
        position: relative;
        margin-top: 1mm;
        height: 8mm;
        padding-left: 5mm;
    }

    .license-plate > .license-plate-country {
        color: black;
        text-transform: uppercase;
        text-align: center;
        font-size: 2mm;

        position: absolute;
        left: 0;
        bottom: 0.5mm;
        width: 5mm;
    }

    .license-plate > .license-plate-flag {
        position: absolute;
        left: 1mm;
        top: 1mm;
        width: 3mm;
        height: 3mm;
    }

    .license-plate::before {
        content: '';
        display: block;
        position: absolute;

        top: 0;
        left: 0;
        width: 5mm;
        height: 100%;

        background-color: white;

        border-right: 0.5mm solid black;
        -webkit-border-radius: 1mm 0 0 1mm;
        -moz-border-radius: 1mm 0 0 1mm;
        border-radius: 1mm 0 0 1mm;
    }


    .license-plate-eu {
        position: relative;
        margin-top: 1mm;
        height: 8mm;
        padding-left: 5mm;
    }

    .license-plate-eu > .license-plate-country {
        color: white;
        text-transform: uppercase;
        text-align: center;
        font-size: 2mm;

        position: absolute;
        left: 0;
        bottom: 0.5mm;
        width: 5mm;
    }

    .license-plate-eu::after,
    .license-plate-eu::before {
        content: '';
        display: block;
        position: absolute;
    }

    .license-plate-eu::before {
        top: 0;
        left: 0;
        width: 5mm;
        height: 100%;

        background-color: #2f519f;

        -webkit-border-radius: 1mm 0 0 1mm;
        -moz-border-radius: 1mm 0 0 1mm;
        border-radius: 1mm 0 0 1mm;
    }

    .license-plate-eu::after {
        left: 1mm;
        top: 1mm;
        width: 3mm;
        height: 3mm;

        border: 0.5mm dotted #dbdd32;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
    }


    .license-plate-text {
        text-transform: uppercase;
        /* 55mm - 15mm */
        max-width: 40mm;
        height: 4mm;
        font-size: 4mm;
        padding: 2mm;
    }

    .license-plate-border {
        display: inline-block;
        background-color: white;

        border: 0.5mm solid black;
        -webkit-border-radius: 1mm;
        -moz-border-radius: 1mm;
        border-radius: 1mm;
    }

    .license-plate-border::before {
        -webkit-border-radius: 0 !important;
        -moz-border-radius: 0 !important;
        border-radius: 0 !important;
    }


    .cut-line {
        border-top: 1px dashed black;
    }

    .scissors-cutting {
        margin: 0 0 -3.5mm 15mm;
        width: 5mm;
        height: 5mm;
    }


    .main-container {
        margin: 0 15mm 10mm;
    }

    .main-container p {
        margin: 0 0 1mm;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    .main-container .customer-container {
        margin-bottom: 10mm;
    }

    .main-container .customer-container label {
        font-weight: bold;
        margin: 0 0 0 2mm;
        color: #11324f;
    }

    .main-container .customer-container i {
        color: #11324f;
    }


    .main-container .car-container {
        margin-bottom: 10mm;
    }

    .main-container .car-container h2 {
        display: inline-block;
        margin: 0 0 0 2mm;
        color: #11324f;
    }

    .main-container .car-container i {
        font-size: 21px;
        color: #11324f;
    }


    .main-container .contracts-container {
    }

    .main-container .contracts-container h2 {
        display: inline-block;
        margin: 0 0 0 2mm;
        color: #11324f;
    }

    .main-container .contracts-container i {
        font-size: 21px;
        color: #11324f;
    }

    .main-container .contracts-container ul {
        /* 21px + 2mm (=7.55px) */
        padding-left: 29px;
    }

    .main-container .contracts-container ul > li {
        margin-bottom: 4mm;
    }


    .main-container .part-container {
        max-width: 66%;
    }

    .logo-container {
        float: right;
        margin-right: 15mm;
        max-width: 23%;
    }

    .logo-container > .logo {
        max-width: 100%;
        max-height: 100%;
    }
</style>

<body>
<div class="logo-container">
    <img class="logo" src="{{ image('logo') }}" alt="logo">
</div>

<div class="main-container">
    <div class="part-container">
        <div class="customer-container">
            <div class="container-text-ellipsis mb-2">
                <i class="fas fa-user"></i>
                <label>{{ customer.first_name }} {{ customer.last_name }}</label>
            </div>

            {% if business %}
                <p>Firma: <strong>{{ business }}</strong></p>
            {% endif %}

            {% if customer.number %}
                <p>Kundennummer: <strong>{{ customer.number }}</strong></p>
            {% endif %}
        </div>

        <div class="car-container">
            <div class="mb-2">
                <i class="fas fa-car"></i>
                <h2>Fahrzeug</h2>
            </div>

            <p>Kennzeichen:
                <strong>{{ customer_car.license_plate|replace(":", " ") }} ({{ customer_car.license_plate_country }})</strong>
            </p>
            {% if customer_car.card_number %}
                <p>Kartennummer: <strong>{{ customer_car.card_number }}</strong></p>
            {% endif %}
            {% if customer_car.make %}<p>Marke: {{ customer_car.make }}</p>{% endif %}
            {% if customer_car.model %}<p>Modell: {{ customer_car.model }}</p>{% endif %}
        </div>
    </div>

    <div class="contracts-container">
        <div class="mb-2">
            <i class="fas fa-file-contract"></i>
            <h2>Verträge</h2>
        </div>

        {% if contracts %}
            <ul>
                {% for contract in contracts %}
                    <li>
                        <strong>
                            {% if contract.reference %}{{ contract.reference }} -{% endif %}
                            {{ contract.name }}
                        </strong>
                        {% if not contract.assignment %}(Kurzparker){% endif %}

                        <div class="mt-1">
                            {% if contract.end %}
                                Gültig von {{ contract.start }} bis {{ contract.end }}
                            {% else %}
                                Abgeschlossen am {{ contract.start }}
                            {% endif %}
                        </div>

                        {% if contract.assignment and contract.other_customer_cars %}
                            <div class="mt-2">Andere zugewiesene Fahrzeuge:</div>
                            <ul class="mt-1">
                                {% for car in contract.other_customer_cars %}
                                    <li class="mb-1">
                                        {{ car.license_plate|replace(":", " ") }} ({{ car.license_plate_country }})
                                        {% if car.make or car.model %}- {{ car.make }} {{ car.model }}{% endif %}

                                        {% if car.card_number %}
                                            <div class="mt-0">
                                                Kartennummer: {{ car.card_number }}
                                            </div>
                                        {% endif %}
                                    </li>
                                {% endfor %}
                            </ul>
                        {% endif %}
                    </li>
                {% endfor %}
            </ul>
        {% else %}
            <div class="mt-1">Es wurde noch kein Vertrag abgeschlossen</div>
        {% endif %}
    </div>
</div>

<svg class="scissors-cutting" viewBox="0 0 512 512">
    <path fill="#000000" d="M512,107.275c-23.658-33.787-70.696-42.691-104.489-19.033L233.753,209.907l-63.183-44.246
			c23.526-40.618,12.46-93.179-26.71-120.603c-41.364-28.954-98.355-18.906-127.321,22.45
			c-28.953,41.358-18.913,98.361,22.452,127.327c28.384,19.874,64.137,21.364,93.129,6.982l77.388,54.185l-77.381,54.179
			c-28.992-14.375-64.743-12.885-93.129,6.982c-41.363,28.966-51.404,85.963-22.452,127.32
			c28.966,41.363,85.963,51.411,127.32,22.457c39.165-27.424,50.229-79.985,26.71-120.603l63.183-44.246l173.751,121.658
			c33.793,23.665,80.831,14.755,104.489-19.033l-212.41-148.715L512,107.275z M91.627,167.539
			c-26.173,0-47.392-21.219-47.392-47.392s21.22-47.392,47.392-47.392c26.179,0,47.392,21.219,47.392,47.392
			S117.806,167.539,91.627,167.539z M91.627,439.253c-26.173,0-47.392-21.219-47.392-47.392c0-26.173,21.219-47.392,47.392-47.392
			c26.179,0,47.392,21.219,47.392,47.392C139.019,418.033,117.806,439.253,91.627,439.253z"></path>
</svg>
<div class="cut-line"></div>

<div class="card-container">
    {% for c in range(3) %}
        <div class="card">
            <div class="header-container">
                <h1>Ersatzkarte</h1>
                <h1>QR Code</h1>
            </div>

            <div class="facts-container">
                <div class="container">
                    {% if customer_car.make or customer_car.model %}
                        <div class="row">
                            {% if customer_car.make %}
                                <div class="{% if customer_car.model %}col-6{% else %}col-12{% endif %} fact">
                                    <div class="title">Marke</div>
                                    <div>{{ customer_car.make }}</div>
                                </div>
                            {% endif %}

                            {% if customer_car.model %}
                                <div class="{% if customer_car.make %}col-6{% else %}col-12{% endif %} fact">
                                    <div class="title">Modell</div>
                                    <div>{{ customer_car.model }}</div>
                                </div>
                            {% endif %}
                        </div>
                    {% endif %}

                    <div class="row mt-2">
                        <div class="col-12 fact">
                            <div class="title">Kennzeichen</div>
                            <div class="{% if is_eu_country %}license-plate-eu{% else %}license-plate{% endif %} license-plate-border">
                                {% if not is_eu_country %}
                                    <i class="license-plate-flag flag-icon flag-icon-{{ country_code }}"></i>
                                {% endif %}
                                <div class="license-plate-country">{{ customer_car.license_plate_country }}</div>
                                <div class="license-plate-text">{{ customer_car.license_plate|replace(":", " ") }}</div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="qr-code-center-container">
                    <div class="qr-code-container">
                        <img class="qr-code" src="{{ qr_src }}" alt="qr_code">
                    </div>
                </div>

                {% if customer_car.card_number %}
                    <div class="card-number-container">
                        Kartennummer: {{ customer_car.card_number }}
                    </div>
                {% endif %}
            </div>

            <div class="footer-container">
                <img class="logo" src="{{ image('qr code footer image') }}" alt="logo">
            </div>
        </div>
    {% endfor %}
</div>
</body>
</html>
